#
# spec file for package evince (Version 0.6.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel PolicyKit aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cpp41 cracklib cups-devel cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel desktop-translations diffutils e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel ghostscript-fonts-std ghostscript-library ghostscript-x11 glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-doc-utils gnome-doc-utils-devel gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv klogd krb5 less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc41 libgcrypt libgcrypt-devel libgimpprint libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libjpeg libjpeg-devel liblcms liblcms-devel libltdl libmng libmng-devel libmudflap41 libnscd libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libusb libvolume_id libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libxml2-python libxslt libzio linux-kernel-headers m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig pm-utils pmtools poppler poppler-devel poppler-glib popt popt-devel procinfo procps psmisc pwdutils python qt3 qt3-devel rcs readline resmgr rpm scrollkeeper sed sgml-skel shared-mime-info strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           evince
BuildRequires:  ghostscript-fonts-std ghostscript-x11 gnome-doc-utils-devel gnome-icon-theme gnutls-devel libglade2-devel libgnomeprintui-devel libgnomeui-devel libtiff-devel libwnck-devel mDNSResponder-devel perl-XML-Parser poppler-devel poppler-glib scrollkeeper update-desktop-files
Version:        0.6.1
Release:        22.2
URL:            http://www.gnome.org/projects/evince/
Group:          System/GUI/GNOME
License:        GNU General Public License (GPL)
Summary:        GNOME Document Viewer
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.4/%{name}-%{version}.tar.bz2
Patch:          evince-desktop.patch
Patch1:         evince-CVE-2006-5864.patch
Autoreqprov:    on
Requires:       gnome-icon-theme
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Evince is a document viewer capable of displaying multiple and single
page document formats like PDF and PostScript. For more general
information about Evince, visit the project Web site at
http://www.gnome.org/projects/evince/.



Authors:
--------
    copyright 1996-2003 Glyph & Cog, LLC.
    Martin Kretzschmar <m_kretzschmar@gmx.net>
    Marco Pesenti Gritti <marco@gnome.org>
    Jonathan Blandford <jrb@gnome.org>

%debug_package
%prep
%setup
%patch
%patch1

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
./configure\
	--prefix=/opt/gnome\
	--sysconfdir=/etc/opt/gnome\
	--localstatedir=/var/opt/gnome\
	--libdir=/opt/gnome/%{_lib}\
        --disable-scrollkeeper
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang %{name}
%suse_update_desktop_file -N Evince evince

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/evince-thumbnailer.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/evince.schemas >/dev/null

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
/etc/opt/gnome/gconf/schemas/evince-thumbnailer.schemas
/etc/opt/gnome/gconf/schemas/evince.schemas
/opt/gnome/bin/*
/opt/gnome/share/applications/*.desktop
/opt/gnome/share/evince
/opt/gnome/share/omf/*
/opt/gnome/share/icons/hicolor/*/apps/evince*.png
/opt/gnome/share/icons/hicolor/*/apps/evince*.svg
#/opt/gnome/share/locale/*/LC_MESSAGES/Evince.mo

%changelog -n evince
* Thu Dec 07 2006 - sbrabec@suse.cz
- Fixed buffer overflow in DSC parsing (#225201, CVE-2006-5864).
* Mon Nov 13 2006 - jhargadon@suse.de
- re-enabling evince-desktop.patch to resolve bug #220232
* Tue Oct 17 2006 - jhargadon@suse.de
- update to version 0.6.1
- Bug Fixes:
  * Current page follows find page
  * Reopen reloads document
  * Document size is guessed correctly
  * Icons are installed in correct folders
  * Memory leak fixed, etc
- translation updates
* Fri Oct 13 2006 - jhargadon@suse.de
- Update for gnome-doc-utils-devel
* Thu Sep 14 2006 - jhargadon@suse.de
- update to version 0.6.0
- Links aren't lost while resizing
- Tiff backend crash is fixed
- Recent code and icons code are screen safe
- Crash while handling password-protected documents is fixed
- translation updates
* Fri Aug 18 2006 - jhargadon@suse.de
- update to version 0.5.5
- Evince have preview mode for using with gtk+
- New print dialog is used with gtk 2.10
- Sidebar is unified with Epiphany
- Escape unfocus page entry
- Memory leak fixes
- updated translations
* Thu Aug 03 2006 - gekker@suse.de
- Update to version 0.5.4
  New Features:
  * Evince supports impress slides with --enable-impress
  * URI's with anchors can be opened
  * Evince supports attachments in PDF files
  * Links system is reworked allowing named links
  * Evince can search text in DJVU files
  * Various types of PDF links are now supported
  * New backend for comic books (CBR/CBZ archives)
  * Storage of passwords for protected documents in gnome-keyring
  * Layout settings for new documents are taken from the last used document
  Interface imporovements:
  * Esc closes properties dialog
  * Cursor is hidden in presentation mode
  * Find previous item is added to the menu
  * Odd pages are placed to the right in dual page mode
  * Statusbar was removed to save space
  * Notification about page processing is shown on the page
  * Improved intelligent window title that shouldn't confuse users
  * Show index by default if available
  * Tooltips for links
  * Now we have right click context menu
  Bug Fixes:
  * Fixed multiple crashes
  * Page-label command line option works again
  * GOption port and po/LINGUAS work
  * Fixed mime type detection by file contents
  * Several memory leaks were found
  * Current page is selected more intelligently
  * View don't jump on scrolling
  * In presentation mode we scroll by one page
  * Produce thumbnails for comic books
  * Ghostscript interpreter is checked in runtime
  * PS mime types are listed in desktop file
  * It's possible to add sidebar checkbutton on toolbar
  * It's possible to print in inverse order
  * Filechooser now will ask for overwrite confirmation
  * Search now takes account for scrolling
  * It's allowed to scroll view from find entry
  * Evince don't jump to find result if window was scrolled during search
  * It's now clear what page the toolbar page number applies to
  * Printing of multiple copies start to work
  * Improved session handling
  * Vertical and horizontal scrolling on selection
  Updated Translations
* Mon Feb 20 2006 - thoenig@suse.de
- Backport fix from Evince CVS to honor API changes of D-BUS 0.60
  (closes #151512)
* Fri Feb 17 2006 - sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 11 2006 - sbrabec@suse.cz
- Removed libpixman from neededforbuild.
* Wed Nov 09 2005 - sbrabec@suse.cz
- Enabled D-BUS support.
- Update desktop file.
* Wed Nov 09 2005 - sbrabec@suse.cz
- Show evince in menu (#132746).
* Fri Sep 02 2005 - gekker@suse.de
- Update to version 0.4.0
* Thu Aug 18 2005 - gekker@suse.de
- Update to version 0.3.4
- Put evince in correct desktop category
* Thu Jul 21 2005 - gekker@suse.de
- Update to version 0.3.2
* Tue May 24 2005 - sbrabec@suse.cz
- Updated to version 0.3.1.
* Mon May 09 2005 - sbrabec@suse.cz
- New SuSE package, version 0.3.0.
